maptool(1)

NAME
maptool - parse osm textfile and converts to NavIt binfile format

SYNOPSIS
bzcat planet.osm.bz2 | maptool mymap.bin [-h] [-N] [-W] [-a value] [-c] [-d connect string] [-e phase] [-k] [-o] [-s phase] [-i input file] [-w] [-z level]

DESCRIPTION
maptool parses osm textfile and converts to NavIt binfile format

OPTIONS

-h (--help)
    display a short help message

-N (--nodes-only)
    process only nodes

-W (--ways-only)
    process only ways

-a (--attr-debug-level)
    control which data is included in the debug attribute

-c (--dump-coordinates)
    dump coordinates after phase 1

-d (--db) <connect string>
    get osm data out of a postgresql database with osm simple scheme and given connect string

-e (--end) <phase>
    end at specified phase

-k (--keep-tmpfiles)
    do not delete tmp files after processing. useful to reuse them

-s (--start) <phase>
    start at specified phase

-i (--input-file) <file>
    specify the input file name (OSM), overrules default stdin

-w (--dedupe-ways)
    ensure no duplicate ways or nodes. useful when using several input files

-z (--compression-level) <level>
    set the compression level

BUGS
Should you find one, please report it :
 http://trac.navit-project.org

AUTHOR
The navit Team - http://www.navit-project.org

SEE ALSO
navit(1)